BlogAssist 2.3 release

Here is a new release of BlogAssist, my handy HTML markup tool.

Note also that BlogAssist is included in the new TheMacBundles promotion (not live as I write this, but probably will be by the time you read this).

Version 2.3 includes:

  • Improved compatibility with Mac OS X 10.7.3.
  • Changed the +/- buttons in the Operations preferences to a modern square style.
  • Removed the license agreement window. The license agreement can be viewed online.
  • BlogAssist now requires a minimum of Mac OS X 10.5 (Leopard).
  • Many other behind-the-scenes improvements made possible by dropping Tiger support.
  • Note: this version (and any 2.3.x bug fix releases) will be the last to support PowerPC (PPC) and Mac OS X 10.5. Subsequent releases will require an Intel-based Mac and Mac OS X 10.7 (Lion) or later.

Download BlogAssist 2.3 now!